import request from '@/utils/request'

// 查询用户列表列表
export function listLzydUser(query) {
  return request({
    url: '/system/LzydUser/list',
    method: 'get',
    params: query
  })
}

// 查询用户列表详细
export function getLzydUser(id) {
  return request({
    url: '/system/LzydUser/' + id,
    method: 'get'
  })
}

// 新增用户列表
export function addLzydUser(data) {
  return request({
    url: '/system/LzydUser',
    method: 'post',
    data: data
  })
}

// 修改用户列表
export function updateLzydUser(data) {
  return request({
    url: '/system/LzydUser',
    method: 'put',
    data: data
  })
}

// 删除用户列表
export function delLzydUser(id) {
  return request({
    url: '/system/LzydUser/' + id,
    method: 'delete'
  })
}

// 导出用户列表
export function exportLzydUser(query) {
  return request({
    url: '/system/LzydUser/export',
    method: 'get',
    params: query
  })
}